package com.xeuse.stuffmypetdestroyed;

import com.xeuse.util.ImageDownloader;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.support.v4.widget.CursorAdapter;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

public class ClientAdapter extends CursorAdapter {

    private Context context;
    private int layoutResourceId;
    public View row;
    private ImageDownloader imgDownloader;
    private LayoutInflater inflater;
    
	public ClientAdapter (Context context, int layoutResourceId, Cursor cusor){
    	
    	super(context, cusor, 0);
    	
        this.layoutResourceId = layoutResourceId;
        this.context = context;

        inflater = ((Activity) context).getLayoutInflater();
        imgDownloader = new ImageDownloader();
        
    }

	@Override
	public void bindView(View view, Context ctx, Cursor cursor) {

		TextView tv1 = (TextView) view.findViewById(R.id.cardTitle);
		tv1.setText(cursor.getString(2));

		TextView tvDesc = (TextView) view.findViewById(R.id.cardDescription);
		tvDesc.setText(cursor.getString(3));

		final int importId = cursor.getInt(1);

		ImageView imageView = (ImageView) view.findViewById(R.id.imgIcon);
		Drawable holdingImage = context.getResources().getDrawable(R.drawable.holding_background);

		imageView.setImageDrawable(holdingImage);

		String url = "http://symfony.phonecompare.co.uk/" + cursor.getInt(1) + "_l.jpg";
		//Log.d("MYTAG", "Cursor id: " + cursor.getInt(1) + "; url: " + url);
		imgDownloader.download(url, imageView);

		imageView.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(context, ViewCardActivity.class);
				intent.putExtra("CARD_ITEM", importId);
				context.startActivity(intent);
			}
		});		

	}

	@Override
	public View newView(Context context, Cursor cursor, ViewGroup parent) {
		return inflater.inflate(layoutResourceId, parent, false);
	}

}