package com.xeuse.stuffmypetdestroyed;

import java.io.FileNotFoundException;
import java.io.IOException;

import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.provider.MediaStore;
import android.util.Log;
import android.widget.ImageView;

public class UploadPictureActivity extends BaseActivity {

	private Uri photoUri;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Bundle extras = getIntent().getExtras();
		if (extras != null) {
			photoUri = extras.getParcelable("IMAGE_URI");
			Log.d(DEBUG_TAG, "URI: " + photoUri.toString());
		}
		setImage();	
	}
	
	@Override
	protected int getLayoutResourceId() {
		return R.layout.activity_upload_picture;
	}
	
	public void setImage() {
		try {
			Bitmap photo = MediaStore.Images.Media.getBitmap(this.getContentResolver(), photoUri);
			ImageView tmpView2 = (ImageView) findViewById(R.id.uploadImageView);
			tmpView2.setImageBitmap(photo);
			Log.d(DEBUG_TAG, "Do something with image. width " + photo.getWidth() + " x " + photo.getHeight());
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
}
