package com.xeuse.util;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.SQLException;
import android.util.Log;

public class CardDbAdapter extends AbstractDbAdapter {

	public CardDbAdapter(Context ctx) {
		super(ctx);
	}
	
	/*private static final String CARDS_DB_CREATE = "CREATE TABLE "
			+ CARDS_TABLE_NAME + " ("
			+ "_id INTEGER PRIMARY KEY AUTOINCREMENT,"
			+ "import_id integer not null,"
			+ "name TEXT not null,"
			+ "date_added TIMESTAMP DEFAULT CURRENT_TIMESTAMP,"
			+ "last_viewed TIMESTAMP);";*/
	

    public void insertCard(int importId, String name, String description) {
		ContentValues args = new ContentValues();

		args.put("import_id", importId);
		args.put("name", name);
		args.put("description", description);

		try {
			mDb.insertOrThrow(CARDS_TABLE_NAME, null, args);
			Log.d(TAG, "Submission successful");
		} catch (Exception e) {
			Log.d("MYTAG", "Error adding card to Database: " + e.getStackTrace());
		}
    }

	public Cursor fetchRecentCards() {
	    String query = "SELECT _id, import_id, name, description FROM " + CARDS_TABLE_NAME;
	    Cursor cRow = mDb.rawQuery(query, null);
	    if (cRow != null) {
	    	cRow.moveToFirst();
	    }
	    return cRow;
	}

	public void clearCache() {
		Log.d(TAG, "Clearing cache");
		String query = "DELETE FROM " + CARDS_TABLE_NAME;
		mDb.execSQL(query);
	}

	public Cursor fetchCard(long item) throws SQLException {
		String query = "SELECT _id, import_id, name, description FROM " + CARDS_TABLE_NAME + " WHERE import_id = " + item + " LIMIT 1";
		Log.d(TAG, "Fetching: " + query);
		Cursor cRow = mDb.rawQuery(query, null);
		if (cRow != null) {
			cRow.moveToFirst();
		}
		return cRow;
	}
	
	
}
