package com.xeuse.util;

import java.io.IOException;
import java.io.InputStream;
import java.lang.ref.WeakReference;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.AsyncTask;
import android.widget.ImageView;

public class ImageDownloader {

	public void download(String url, ImageView imageView) {
		BitmapDownloaderTask task = new BitmapDownloaderTask(imageView);
		task.execute(url);
	}

	class BitmapDownloaderTask extends AsyncTask<String, Void, Bitmap> {

	    private final WeakReference<ImageView> imageViewReference;

	    public BitmapDownloaderTask(ImageView imageView) {
	    	
	    	/*imageView.setVisibility(View.GONE);*/
	        imageViewReference = new WeakReference<ImageView>(imageView);
	    }
	    
	    @Override
	    protected void onPreExecute() {
	    	
	    }

	    @Override
	    protected Bitmap doInBackground(String... params) {
	         // params comes from the execute() call: params[0] is the url.
	         return downloadBitmap(params[0]);
	    }

	    @Override
	    // Once the image is downloaded, associates it to the imageView
	    protected void onPostExecute(Bitmap bitmap) {

	        if (imageViewReference != null) {
	            ImageView imageView = imageViewReference.get();
	            if (imageView != null) {
	                imageView.setImageBitmap(bitmap);
	            }
	        }

	    }
	    
	    public Bitmap downloadBitmap(String url) {
	    	
		    HttpURLConnection connection;
			try {
				connection = (HttpURLConnection) new URL(url).openConnection();
				
				connection.connect();
			    InputStream input = connection.getInputStream();

			    return BitmapFactory.decodeStream(input);
				
			} catch (MalformedURLException e) {
				e.printStackTrace();
			} catch (IOException e) {
				e.printStackTrace();
			}
			return null;

	    }
	}
	
}
